Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Private Attributes | List of all members
eZ\Bundle\EzPublishCoreBundle\EventListener\LocaleListener Class Reference

Enhanced LocaleListener, injecting the converted locale extracted from eZ Publish configuration. More...

Inheritance diagram for eZ\Bundle\EzPublishCoreBundle\EventListener\LocaleListener:

## Public Member Functions
| setConfigResolver (ConfigResolverInterface $configResolver)
| setLocaleConverter (LocaleConverterInterface $localeConverter)
| onKernelRequest (GetResponseEvent $event)

## Private Attributes
| $configResolver
| $localeConverter

## Detailed Description

Enhanced LocaleListener, injecting the converted locale extracted from eZ Publish configuration.

Definition at line 17 of file LocaleListener.php.

## Member Function Documentation

## ◆ onKernelRequest()

eZ\Bundle\EzPublishCoreBundle\EventListener\LocaleListener::onKernelRequest | ( | GetResponseEvent | $event | ) |

Definition at line 41 of file LocaleListener.php.

## ◆ setConfigResolver()

eZ\Bundle\EzPublishCoreBundle\EventListener\LocaleListener::setConfigResolver | ( | ConfigResolverInterface | $configResolver | ) |

Parameters

  \eZ\Publish\Core\MVC\ConfigResolverInterface | $configResolver |

Definition at line 28 of file LocaleListener.php.

References eZ\Bundle\EzPublishCoreBundle\EventListener\LocaleListener\$configResolver.

## ◆ setLocaleConverter()

eZ\Bundle\EzPublishCoreBundle\EventListener\LocaleListener::setLocaleConverter | ( | LocaleConverterInterface | $localeConverter | ) |

Parameters

  \eZ\Publish\Core\MVC\Symfony\Locale\LocaleConverterInterface | $localeConverter |

Definition at line 36 of file LocaleListener.php.

References eZ\Bundle\EzPublishCoreBundle\EventListener\LocaleListener\$localeConverter.

## Member Data Documentation

## ◆ $configResolver

eZ\Bundle\EzPublishCoreBundle\EventListener\LocaleListener::$configResolver
| private

Definition at line 20 of file LocaleListener.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\EventListener\LocaleListener\setConfigResolver().

## ◆ $localeConverter

eZ\Bundle\EzPublishCoreBundle\EventListener\LocaleListener::$localeConverter
| private

Definition at line 23 of file LocaleListener.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\EventListener\LocaleListener\setLocaleConverter().

The documentation for this class was generated from the following file:

- LocaleListener.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.